Bug 916115 (CVE-2013-1773) - CVE-2013-1773 kernel: VFAT slab-based buffer overflow
Summary: CVE-2013-1773 kernel: VFAT slab-based buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 916118 916119 916120 916121 965719 965720
Blocks: 916136
TreeView+ depends on / blocked
 
Reported: 2013-02-27 10:45 UTC by Prasad J Pandit
Modified: 2019-09-29 13:01 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 20:53:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0566 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-03-07 00:24:01 UTC
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0928 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-06-11 21:37:17 UTC
Red Hat Product Errata RHSA-2013:1026 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-07-09 19:04:31 UTC

Description Prasad J Pandit 2013-02-27 10:45:33 UTC
Linux kernel built with support to VFAT file system is vulnerable to a buffer
overflow flaw which happens when converting UTF8 character string to UTF16
via function: utf8s_to_utf16s.

A local user able to mount, or with access to, a FAT file system with the "utf8=1" option could use this flaw to crash the system or, potentially, to escalate their privileges.

Upstream fix:
 -> https://git.kernel.org/linus/0720a06a7518c9d0c0125bd5d1f3b6264c55c3dd

Reference:
 -> http://www.openwall.com/lists/oss-security/2013/02/26/5
 -> http://www.exploit-db.com/exploits/23248/

Comment 2 Prasad J Pandit 2013-02-27 11:04:48 UTC
Statement:

This issue does not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

Comment 4 errata-xmlrpc 2013-03-06 19:26:16 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0566 https://rhn.redhat.com/errata/RHSA-2013-0566.html

Comment 5 errata-xmlrpc 2013-04-23 18:27:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html

Comment 7 errata-xmlrpc 2013-06-11 17:40:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0928 https://rhn.redhat.com/errata/RHSA-2013-0928.html

Comment 8 errata-xmlrpc 2013-07-09 15:05:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:1026 https://rhn.redhat.com/errata/RHSA-2013-1026.html


Note You need to log in before you can comment on or make changes to this bug.